debian.org / О Debian Где взять Debian Поддержка Уголок разработчика Новости Wiki

Автор Тема: Проблема с зависимостями  (Прочитано 604 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Dots

  • Новичок форума
  • Topic Author
  • Сообщений: 1
Проблема с зависимостями
« : 28 Январь 2017, 20:34:02 »
Здравствуйте.
Есть ли в apt возможность не скачивать к устанавливаемому пакету ничего, кроме самых важных зависимостей (тех, без которых он не будет работать). Например, я хочу установить некий пакет, он зависит еще от пяти, но кроме этих пяти apt хочет тянуть за ними еще и рекомендованные.
Другой пример. У меня стоит выбранный в процессе установки LXDE, но мне не нужны некоторые пакеты оттуда, например, leafpad, wicd, pcmanfm. Я пишу: apt purge leafpad, на что он мне отвечает, что собирается удалить вместе с ним весь LXDE, а это меня совсем не устраивает. Можно ли исправить такое поведение пакетного менеджера?
 

symon2014

  • Гость
Re: Проблема с зависимостями
« Ответ #1 : 28 Январь 2017, 21:37:48 »
Наберите вместо purge - remove .
 

Оффлайн qupl

  • Главный модератор
  • Ветеран
  • *****
  • Сообщений: 4579
  • memento mori
  • Jabber: qupl@jabber.ru
Re: Проблема с зависимостями
« Ответ #2 : 28 Январь 2017, 22:03:29 »
У aptitude есть ключ --without-recommends. Но в случае с перечисленными программами это не поможет, потому что они входят в сам LXDE.

Оффлайн alsoijw

  • Fedora 25 GNOME 3 amd64
  • Ветеран
  • *****
  • Сообщений: 1231
Re: Проблема с зависимостями
« Ответ #3 : 29 Январь 2017, 17:33:16 »
есть такое понятие как метапакет. они нужны исключительно для удобства. при удалении метапакета ничего не удаляется. в твоём случае надо посмотреть от чего зависит lxde и либо поставить только те пакеты что нужны либо пометить нужные тебе пакеты как установленные вручную а не нужные удалить. метапакет тоже удалится, но удаление метапакета не страшно.
Мало видеть нам начало - надо видеть и конец. Если видишь ты создание - значит где-то есть ТВОРЕЦ
Многие жалуются: геометрия в жизни не пригодилась. Ямб от хорея им приходится отличать ежедневно?
 

Русскоязычное сообщество Debian GNU/Linux

Re: Проблема с зависимостями
« Ответ #3 : 29 Январь 2017, 17:33:16 »


Теги:
 

Проблема с 2 видеокартами ATI

Автор daun85

Ответов: 13
Просмотров: 1271
Последний ответ 21 Ноябрь 2014, 06:43:50
от qupl
Проблема с пакетом Rainlendar2

Автор Alexey2494

Ответов: 0
Просмотров: 1026
Последний ответ 28 Январь 2019, 00:04:13
от Alexey2494
Проблема после обновления ядра в Wheezy

Автор dduh

Ответов: 5
Просмотров: 1413
Последний ответ 06 Ноябрь 2012, 21:36:11
от qupl
Проблема с установкой сторонних пакетов не из репозитория

Автор k0matoznik

Ответов: 6
Просмотров: 2051
Последний ответ 16 Июнь 2016, 06:44:50
от k0matoznik
Проблема при установке libapache2-mod-php5

Автор DJ Sergeich

Ответов: 5
Просмотров: 1646
Последний ответ 04 Ноябрь 2016, 11:53:58
от ferum